/**
 * 全局默认会注册的组件
 */
import type { App } from 'vue';
import Iconfont from './iconfont/Iconfont.vue';
import ResizableLayout from './resizable-layout/ResizableLayout.vue';
import ResizableLayoutItem from './resizable-layout/ResizableLayoutItem.vue';
import ContextMenu from './context-menu/ContextMenu.vue';
import ContextSubMenu from './context-menu/ContextSubMenu.vue';
import Handsontable from './handsontable/Handsontable.vue';
import Popover from './popover/Popover.vue';

export default function (app: App<Element>) {
    app.component(Iconfont.name, Iconfont);
    app.component(ResizableLayout.name, ResizableLayout);
    app.component(ResizableLayoutItem.name, ResizableLayoutItem);
    app.component(ContextMenu.name, ContextMenu);
    app.component(ContextSubMenu.name, ContextSubMenu);
    app.component(Handsontable.name, Handsontable);
    app.component(Popover.name, Popover);
}
